> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Notification Mark All Read

> Marks all of the caller role notifications read and returns the number updated.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/notification-mark-all-read
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/notification-mark-all-read:
    post:
      operationId: notificationMarkAllRead
      summary: Notification Mark All Read
      description: >-
        Marks all of the caller role notifications read and returns the number
        updated.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationMarkAllReadResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    NotificationMarkAllReadResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
